Skip to navigation

Request payment credentials

<p class=‘pad-2-b’>Generates tokenized payment credentials associated with an approved intent. This API supports a multi-step flow when additional authentication is required:</p><ul class=‘pad-3-l’<li>The initial request generates payment credentials for validation and risk assessment.</li><li>If step-up authentication is required, a follow-up request must be made with the proof of intent and step-up verification details.</li></ul><p class=‘pad-2-b’></p><p class=‘pad-2-b’>The response of the API will have the payment credentials. If step-up authentication is completed asynchronously and if applicable, American Express will notify the partner via the notification API. The partner can then call payment credentials API again to retrieve the payment credentials.</p>

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Headers

AuthorizationstringRequired

The OAuth authorization header generated as prescribed in the Oauth 2.0 guide

trackingIdstringRequired
A unique identifier for request tracking.
agentIdstringRequired
Agent's unique identifier.

Request

A request to obtain tokenized payment credentials for an approved intent. The request payload is JWE-encrypted on the wire.

The initial request to obtain payment credentials for an approved intent.objectRequired
The initial request to obtain payment credentials for an approved intent.
OR
The follow-up request after step-up verification.objectRequired

The follow-up request after step-up verification.

Response

Successful response
The response returned when additional authentication is required to obtain payment credentials.object

The response returned when additional authentication is required to obtain payment credentials.The response payload will be JWE-encrypted as seen in the model EncryptedRequestResponse

OR
The response returned when payment credentials are successfully generated.object

The response returned when payment credentials are successfully generated. The response payload will be JWE-encrypted as seen in the model EncryptedRequestResponse

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error